ModernLoop Internal API
Apipylon

Create a Pylon account (POST /accounts)

Write operation: mutates state in the upstream service.

curl -X POST "https://api.modernloop.dev/rest/v1/pylon/accounts" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "name": "string",    "type": "string",    "domain": "string",    "domains": [      "string"    ],    "primary_domain": "string",    "owner": {      "id": "string",      "email": "string"    },    "tags": [      "string"    ],    "is_disabled": true,    "latest_customer_activity_time": "string",    "created_at": "string"  },  "request_id": "string"}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string
Length1 <= length
domains?array<string>
owner_id?string
tags?array<string>
type?string
external_ids?array<>
custom_fields?array<>

Response Body

application/json

application/json

application/json

application/json

application/json